
# R package SocEpi

The R package `SocEpi` is developed for health inequalities research. This is the first version of the package and it includes a small number of useful functions such as: 

* `z_score` to calculate z-scores (for deprivation measures).
* `w_pcntile` to calculate percentiles, such as quintiles or deciles from deprivation measures.
* `st_rate` for calculating direct standardized rates with confidence intervals.
* `rii` for calculating RII/SII and confidence intervals.
* `smr` for calculating standardized mortality ratios and confidence intervals.


# Installation

To install the package in R type:

```
install.packages("SocEpi")
library(SocEpi)
```


or from Github

```
install.packages(devtools) # if not installed before
devtools::install_github("m-allik/SocEpi")
```

# How to use

Please take a look at the vignette or help files for examples of how to use the package.

# Feedback

Please use the GitHub repository's *Issues* section if you have any comments, suggestions or if you notice any problems with the functions.
